Submitted By: BLFS Book <blfs-book@linuxfromscratch.org>
Date: 2003-10-04
Initial Package Version: 2.0.47
Origin: BLFS Book
Description: Add a layout for installing Apache as per the BLFS guidelines.
--- httpd-2.0.47/config.layout.orig	2003-09-20 00:39:30.000000000 +0000
+++ httpd-2.0.47/config.layout	2003-09-20 00:40:11.000000000 +0000
@@ -298,3 +298,26 @@
     installbuilddir: ${prefix}/etc/apache2/build
     errordir:      ${datadir}/error
 </Layout>
+
+<Layout LFS>
+    prefix:             /usr
+    exec_prefix:        ${prefix}
+    bindir:             ${exec_prefix}/bin
+    sbindir:            ${exec_prefix}/sbin
+    libdir:             ${exec_prefix}/lib
+    libexecdir:         ${exec_prefix}/lib/apache
+    mandir:             ${prefix}/share/man
+    sysconfdir:         /etc/apache
+    datadir:            /var/www
+    installbuilddir:    ${libexecdir}/build
+    errordir:           ${datadir}/error
+    iconsdir:           ${datadir}/icons
+    htdocsdir:          ${datadir}/htdocs
+    manualdir:          ${datadir}/manual
+    cgidir:             ${datadir}/cgi-bin
+    includedir:         ${prefix}/include/apache
+    localstatedir:      ${datadir}
+    runtimedir:         /var/run
+    logfiledir:         /var/log/apache
+    proxycachedir:      /var/cache/apache/proxy
+</Layout>
--- httpd-2.0.47/srclib/apr/config.layout.orig	2003-01-07 21:06:50.000000000 +0000
+++ httpd-2.0.47/srclib/apr/config.layout	2003-09-20 00:41:22.000000000 +0000
@@ -11,18 +11,18 @@
 
 #   Classical APR path layout designed for parallel installs.
 <Layout apr>
-    prefix:        /usr/local/apr
+    prefix:        /usr
     exec_prefix:   ${prefix}
     bindir:        ${exec_prefix}/bin
-    sbindir:       ${exec_prefix}/bin
+    sbindir:       ${exec_prefix}/sbin
     libdir:        ${exec_prefix}/lib
-    libexecdir:    ${exec_prefix}/modules
-    mandir:        ${prefix}/man
-    sysconfdir:    ${prefix}/conf
-    datadir:       ${prefix}
-    installbuilddir: ${datadir}/build
-    includedir:    ${prefix}/include/apr-${APR_MAJOR_VERSION}
-    localstatedir: ${prefix}
+    libexecdir:    ${exec_prefix}/lib/apache
+    mandir:        ${prefix}/share/man
+    sysconfdir:    /etc/apache
+    datadir:       /var/www
+    installbuilddir: ${libexecdir}/build
+    includedir:    ${prefix}/include/apache
+    localstatedir: ${datadir}
     libsuffix:     -${APR_MAJOR_VERSION}
 </Layout>
 
--- httpd-2.0.47/srclib/apr-util/config.layout.orig	2003-01-07 21:13:09.000000000 +0000
+++ httpd-2.0.47/srclib/apr-util/config.layout	2003-09-20 00:41:12.000000000 +0000
@@ -11,18 +11,18 @@
 
 #   Classical APR-util path layout designed for parallel installs.
 <Layout apr-util>
-    prefix:        /usr/local/apr
+    prefix:        /usr
     exec_prefix:   ${prefix}
     bindir:        ${exec_prefix}/bin
-    sbindir:       ${exec_prefix}/bin
+    sbindir:       ${exec_prefix}/sbin
     libdir:        ${exec_prefix}/lib
-    libexecdir:    ${exec_prefix}/modules
-    mandir:        ${prefix}/man
-    sysconfdir:    ${prefix}/conf
-    datadir:       ${prefix}
-    installbuilddir: ${datadir}/build
-    includedir:    ${prefix}/include/apr-${APRUTIL_MAJOR_VERSION}
-    localstatedir: ${prefix}
+    libexecdir:    ${exec_prefix}/lib/apache
+    mandir:        ${prefix}/share/man
+    sysconfdir:    /etc/apache
+    datadir:       /var/www
+    installbuilddir: ${libexecdir}/build
+    includedir:    ${prefix}/include/apache
+    localstatedir: ${datadir}
     libsuffix:     -${APRUTIL_MAJOR_VERSION}
 </Layout>
 
